playerc_localize_t Struct Reference
localize

Localization device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | map_size_x
| Map dimensions (cells). More...
int | map_size_y
double | map_scale
| Map scale (m/cell). More...
int | map_tile_x
| Next map tile to read. More...
int | map_tile_y
int8_t * | map_cells
| Map data (empty = -1, unknown = 0, occupied = +1). More...
int | pending_count
| The number of pending (unprocessed) sensor readings. More...
double | pending_time
| The timestamp on the last reading processed. More...
int | hypoth_count
| List of possible poses. More...
player_localize_hypoth_t * | hypoths
double | mean [3]
double | variance
int | num_particles
playerc_localize_particle_t * | particles

## Detailed Description

Localization device data.

## Member Data Documentation

int playerc_localize_t::hypoth_count

List of possible poses.

playerc_device_t playerc_localize_t::info

Device info; must be at the start of all device structures.

int8_t* playerc_localize_t::map_cells

Map data (empty = -1, unknown = 0, occupied = +1).

double playerc_localize_t::map_scale

Map scale (m/cell).

int playerc_localize_t::map_size_x

Map dimensions (cells).

int playerc_localize_t::map_tile_x

Next map tile to read.

int playerc_localize_t::pending_count

The number of pending (unprocessed) sensor readings.

double playerc_localize_t::pending_time

The timestamp on the last reading processed.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45